%define lib_name_orig	libaqsis
%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	RenderMan-compliant 3D rendering solution
Name:		aqsis
Version:	1.8.2
Release:	%mkrel 7
License:	GPLv2+ and BSD
Group:		Graphics
Url:		http://www.aqsis.org/
Source0:	http://downloads.sourceforge.net/aqsis/%{name}-%{version}.tar.gz
Source1:	eqsl.desktop
Patch2:		aqsis-1.8.2-gcc6.patch
Patch3:		aqsis-1.8.2-pthread.patch
Patch10:	aqsis-1.8.2-openexr-compat.patch
Patch11:	aqsis-1.8.2-pfto-boost-1.59.patch
Patch12:	aqsis-1.8.2-boost-join-moc.patch
Patch50: aqsis-gcc11.patch
Patch101: aqsis-1.8.2-missing-includes.patch
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	qt4-devel
BuildRequires:	cmake
BuildRequires:	libxslt-proc
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	boost-devel

%description
Tha Aqsis rendering system consists of a set of libraries and applications for
creating high-quality computer imagery using the Pixar RenderMan Interface.

%package -n %{libname}
Summary:	Aqsis library
Group:		System/Libraries

%description -n %{libname}
The Aqsis library.

%package -n %{develname}
Summary:	Development files for Aqsis
Group:		Development/Libraries
Requires:	%{libname} >= %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The Aqsis library developpement files.

%prep
%setup -q
%apply_patches

cp -f %{SOURCE1} distribution/linux/

sed -i -e 's,boost::shared_ptr,std::shared_ptr,g' $(grep -rl boost::shared_ptr)
sed -i -e 's,boost::static_pointer_cast,std::static_pointer_cast,g' $(grep -rl boost::static_pointer_cast)
sed -i -e 's,boost::enable_shared_from_this,std::enable_shared_from_this,g' $(grep -rl boost::enable_shared_from_this)
sed -i -e 's,boost::weak_ptr,std::weak_ptr,g' $(grep -rl boost::weak_ptr)

%build
export CXXFLAGS="%{optflags} -Wno-deprecated -Wno-deprecated-declarations"
%cmake \
    -Wno-dev \
    -DAQSIS_USE_RPATH:BOOL=OFF \
    -DSYSCONFDIR:STRING=%{_sysconfdir} \
    -DLIBDIR:STRING=%{_libdir} \
    -DDEFAULT_DISPLAYPATH:STRING=%{_libdir}/%{name}

%make_build

%install
%make_install -C build

%files
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/aqsis.xml
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png

%files -n %{libname}
%{_libdir}/%{name}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Sun Sep 18 2022 tex - 1.8.2-7pclos2022
- rebuild against updates

* Sun Sep 26 2021 tex - 1.8.2-6pclos2021
- rebuild against updates

* Sat Jul 10 2021 tex - 1.8.2-5pclos2021
- rebuild against updates

* Tue Jun 04 2019 tex - 1.8.2-4pclos2019
- rebuild against updates

* Fri May 31 2019 tex 1.8.2-3pclos2019
- rebuild
